@import 'settings';
@import 'mixins';

.HomeSplash {
    position: relative;
    width: 100%;
    height: 100vh;
    overflow: hidden;

    &__background {
        position: absolute;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        background-color: $black;
        background-image: url('/s/assets/img/backgrounds/office1.720.jpg');
        background-repeat: no-repeat;
        background-size: cover;
        background-position: center;
        // background-attachment: fixed;

        @media #{$desktop-large} {
            background-image:
                url('/s/assets/img/backgrounds/office1.1080.jpg'),
                url('/s/assets/img/backgrounds/office1.720.jpg');
        }
    }

    // scroll transition
    &__background,
    &__content {
        opacity: 0;
        transition: opacity 400ms 150ms;
        will-change: opacity;
    }

    &.isActive &__background,
    &.isActive &__content {
        opacity: 1;
    }

    &__content {
        position: absolute;
        z-index: 1;
        top: 0;
        right: 0;
        height: 100%;
        display: flex;
        align-items: center;
        color: $white;

        section {
            max-width: 300px;
            margin: 0 auto;
            text-align: center;

            h2 {
                margin-bottom: 30px;
            }

            p:last-child {
                margin-bottom: 0;
            }

            .button {
                color: $blue;
                border-color: $blue;

                &:hover {
                    color: $white;
                }
            }
        }

        .scroll-down-link {
            position: absolute;
            bottom: 0;
            right: 0;
            padding: 12px;
            font-size: 28px;
        }

        @media (max-width: 374px) {
            .scroll-down-link {
                display: none;
            }
        }

        @media #{$mobile-only} {
            width: 100%;

            .scroll-down-link {
                right: 15px;
            }
        }

        @media #{$tablet} {
            left: auto;
            right: 0;
            width: 100%;
            max-width: 448px;
            background: $blackTrans;

            .scroll-down-link {
                font-size: 32px;
                right: 14px;
                bottom: 6px;
            }
        }
    }
}
